TSHTTPTXNREENABLE(3ts)

NAME
TSHttpTxnReenable - notifies the HTTP transaction txnp that the plugin is finished processing the current hook

SYNOPSIS

#include <ts/ts.h>

    void TSHttpTxnReenable(TSHttpTxn txnp, TSEvent event)

DESCRIPTION

The plugin tells the transaction txnp to either continue (TS_EVENT_HTTP_CONTINUE) or stop (TS_EVENT_HTTP_ERROR).

IMPORTANT:
        You must always reenable the HTTP transaction after the processing of each transaction event. However, never reenable twice. Reenabling twice is a serious error.

COPYRIGHT
2018, dev@trafficserver.apache.org